package net.sf.sido.pojo;

import com.google.common.base.Function;
import net.sf.sido.DataObject;

public class DOUtils {
    public static <D extends DOObject> DataObject[] transform(D... values) {
        if (values == null) {
            return null;
        } else {
            DataObject[] result = new DataObject[values.length];
            for (int i = 0; i < values.length; i++) {
                D d = values[i];
                DataObject r = d.getDataObject();
                result[i] = r;
            }
            return result;
        }
    }
}
